投稿

Gianism v3.0で廃止される機能

Gianism v3.0は2016年11月上旬にリリースされますが、後方互換のない変更を幾つか含んでいます。

  • PHP 5.4以上が必須となります。
  • ついにInstagramが(たぶん)追加されます!
  • 依存関係の解決にcomposerを導入しています。
  • Facebook PHP SDKをv5に変更しました。これによって、fatal errorが起こるかもしれません。Facebookが物凄く変わったからです。
  • 以下に挙げるいくつかのマイナーSNSをなくしました。アドオンとして提供予定です。
    • Amazon
    • Github
    • Yahoo! Japan
    • mixi
  • アドオンシステムが導入されました。アドオンとそのドキュメントはこのサイトで提供予定です。

要するに、何も考えないでGianismをアップグレードすると、サイトが壊れるかもしれないということです。

できれば開発環境でアップデートしてみてください。ご意見があればコメントをください。